Debian Bug report logs - #591518
preinst not run in foreign multistrap

version graph

Package: multistrap; Maintainer for multistrap is Neil Williams <codehelp@debian.org>; Source for multistrap is src:multistrap.

Reported by: Nick Bane <nickbane1@googlemail.com>

Date: Tue, 3 Aug 2010 18:09:05 UTC

Severity: normal

Merged with 627068

Found in version multistrap/2.1.13

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#591518; Package wamerican. (Tue, 03 Aug 2010 18:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Bane <nickbane1@googlemail.com>:
New Bug report received and forwarded. Copy sent to Don Armstrong <don@debian.org>. (Tue, 03 Aug 2010 18:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nick Bane <nickbane1@googlemail.com>
To: submit@bugs.debian.org
Subject: wamerican: conflicts with dictionaries-common - wont unpack
Date: Tue, 03 Aug 2010 19:07:53 +0100
Package: wamerican
Version: 6-2.3
Severity: grave
Justification: renders package unusable


installing bsdgames (lenny) caused dpkg unpack failure of wamerican due
to /usr/share/dict/words provided by dictionaries-common

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28.7 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages wamerican depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration 
management sy

wamerican recommends no packages.

wamerican suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#591518; Package wamerican. (Wed, 04 Aug 2010 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Wed, 04 Aug 2010 07:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 591518@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Nick Bane <nickbane1@googlemail.com>, 591518@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#591518: wamerican: conflicts with dictionaries-common - wont unpack
Date: Wed, 4 Aug 2010 09:00:54 +0200
severity 591518 important
tag 591518 + moreinfo unreproducible
thanks

	Hi!

* Nick Bane <nickbane1@googlemail.com> [2010-08-03 20:07:53 CEST]:
> installing bsdgames (lenny) caused dpkg unpack failure of wamerican due
> to /usr/share/dict/words provided by dictionaries-common

 I unfortunately can't reproduce this issue at all. I installed
dictionaries-common (which sets a divert for /usr/share/dict/words),
wamerican and bsdgames, and had no issues at all.

 Can you probably give a log of your installation for inspection?

 Thanks!
Rhonda
-- 
"Lediglich 11 Prozent der Arbeitgeber sind der Meinung, dass jeder
Mensch auch ein Privatleben haben sollte."
        -- http://www.karriere.at/artikel/884/




Severity set to 'important' from 'grave' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Wed, 04 Aug 2010 07:03:05 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible and moreinfo. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Wed, 04 Aug 2010 07:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#591518; Package wamerican. (Fri, 06 Aug 2010 17:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Bane <nickbane1@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Fri, 06 Aug 2010 17:12:10 GMT) Full text and rfc822 format available.

Message #19 received at 591518@bugs.debian.org (full text, mbox):

From: Nick Bane <nickbane1@googlemail.com>
To: 591518@bugs.debian.org
Cc: control@bugs.debian.org
Subject: cause of bug identified
Date: Fri, 06 Aug 2010 13:07:58 -0400
reassign 591518 multistrap
tags 591518 - moreinfo
tags 591518 - unreproducible
retitle 591518 preinst not run in foreign multistrap
Thanks

Bug identified as being due to unusual multistrap rootfs that included 
dictionaries-common for armel created on x86. Multistrap unpacks debs 
but does not run preinst on foreign architectures. This resulted in the 
symlink divert not being established in dictionaries-common resulting in 
a collision with wamerican later on.

Nick Bane




Bug reassigned from package 'wamerican' to 'multistrap'. Request was from Nick Bane <nickbane1@googlemail.com> to control@bugs.debian.org. (Fri, 06 Aug 2010 17:12:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions scowl/6-2.3. Request was from Nick Bane <nickbane1@googlemail.com> to control@bugs.debian.org. (Fri, 06 Aug 2010 17:12:12 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Nick Bane <nickbane1@googlemail.com> to control@bugs.debian.org. (Fri, 06 Aug 2010 17:12:13 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Nick Bane <nickbane1@googlemail.com> to control@bugs.debian.org. (Fri, 06 Aug 2010 17:12:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'preinst not run in foreign multistrap' from 'wamerican: conflicts with dictionaries-common - wont unpack' Request was from Nick Bane <nickbane1@googlemail.com> to control@bugs.debian.org. (Fri, 06 Aug 2010 17:12:14 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 14:27:06 GMT) Full text and rfc822 format available.

Merged 591518 627068. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 17 May 2011 14:27:08 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 15:57:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:34:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.